Add ListEvents, CancelEvent, and GetEventLogs OpenAPI specs for App Platform#1143
Open
blesswinsamuel wants to merge 2 commits intodigitalocean:mainfrom
Open
Add ListEvents, CancelEvent, and GetEventLogs OpenAPI specs for App Platform#1143blesswinsamuel wants to merge 2 commits intodigitalocean:mainfrom
blesswinsamuel wants to merge 2 commits intodigitalocean:mainfrom
Conversation
…latform
Add OpenAPI specifications for the new App Platform events endpoints:
- GET /v2/apps/{app_id}/events - list all events (deployments + autoscaling)
- POST /v2/apps/{app_id}/events/{event_id}/cancel - cancel an autoscaling event
- GET /v2/apps/{app_id}/events/{event_id}/logs - retrieve autoscaling event logs
Includes Event model schema, event_id parameter, AUTOSCALE_EVENT log type,
response definitions, and curl/python examples.
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Sign up for free
to join this conversation on GitHub.
Already have an account?
Sign in to comment
Add this suggestion to a batch that can be applied as a single commit.This suggestion is invalid because no changes were made to the code.Suggestions cannot be applied while the pull request is closed.Suggestions cannot be applied while viewing a subset of changes.Only one suggestion per line can be applied in a batch.Add this suggestion to a batch that can be applied as a single commit.Applying suggestions on deleted lines is not supported.You must change the existing code in this line in order to create a valid suggestion.Outdated suggestions cannot be applied.This suggestion has been applied or marked resolved.Suggestions cannot be applied from pending reviews.Suggestions cannot be applied on multi-line comments.Suggestions cannot be applied while the pull request is queued to merge.Suggestion cannot be applied right now. Please check back later.
Summary
GET /v2/apps/{app_id}/events- list all events (deployments + autoscaling)POST /v2/apps/{app_id}/events/{event_id}/cancel- cancel an autoscaling eventGET /v2/apps/{app_id}/events/{event_id}/logs- retrieve autoscaling event logsevent_idpath parameter andAUTOSCALE_EVENTlog type to parameters